package org.dromara.payment;

import cn.hutool.crypto.SecureUtil;
import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.metrics.buffering.BufferingApplicationStartup;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * 系统模块
 *
 * @author ruoyi
 */
@EnableDubbo
@EnableAsync
@SpringBootApplication
public class RuoYiPaymentApplication {
    public static void main(String[] args) {
        SpringApplication application = new SpringApplication(RuoYiPaymentApplication.class);
        application.setApplicationStartup(new BufferingApplicationStartup(2048));
        SecureUtil.disableBouncyCastle();
        application.run(args);
        System.out.println("(♥◠‿◠)ﾉﾞ  代发薪资模块启动成功   ლ(´ڡ`ლ)ﾞ  ");
    }
}
